Skip to main content
GET
/
api
/
v3
/
profiles
/
{profile_id}
Get profile
curl --request GET \
  --url https://api.dataspike.io/api/v3/profiles/{profile_id} \
  --header 'ds-api-token: <api-key>'
{
  "profile_id": "01827ed4-c928-7a3c-9a30-7ab7cc169d11",
  "name": "default",
  "settings": {
    "poi_required": true,
    "poi_allowed_documents": [
      "passport"
    ],
    "face_comparison_required": true,
    "face_comparison_allowed_documents": [
      "selfie"
    ],
    "poa_required": false,
    "allow_poi_manual_uploads": false,
    "allow_desktop": false,
    "disable_cross_check_by_bio": false,
    "disable_cross_check_by_photo": false,
    "disable_verify_poa_country_match_with_poi": false,
    "countries": [
      "FR"
    ],
    "ui_settings": {}
  },
  "organization_id": "<string>",
  "is_default": true,
  "created_at": "2023-07-18T15:32:13.000Z",
  "description": "<string>",
  "updated_at": "2023-07-18T15:32:13.000Z",
  "created_by": "<string>",
  "is_archived": true
}

Authorizations

ds-api-token
string
header
required

Path Parameters

profile_id
string<uuid>
required

Existing profile id

Example:

"01827ed5-c228-7a3c-9a31-7ab7cc169d13"

Response

200 - application/json

List of the profiles

Verification profile

profile_id
string<uuid>
required

Id of profile

Example:

"01827ed4-c928-7a3c-9a30-7ab7cc169d11"

name
string
required

Name of verification profile. Should be unique

Example:

"default"

settings
object
required

Verification profile settings

organization_id
string
required
is_default
boolean
required
created_at
string<ISO-8601>
required
Example:

"2023-07-18T15:32:13.000Z"

description
string
updated_at
string<ISO-8601>
Example:

"2023-07-18T15:32:13.000Z"

created_by
string
is_archived
boolean

Profile is archived. Can't be use with verifications.

Verification link